import { jsx } from "react/jsx-runtime";
import { MoonIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Moon = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Moon", ...props, children: /* @__PURE__ */ jsx(MoonIcon, { weight: variant }) });
  }
);
Moon.displayName = "Moon";
Object.assign(Moon, { isGdsIcon: true });
export {
  Moon
};
